--------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------

SET SERVEROUTPUT ON SIZE 1000000

-- --------------------------------------------------------------------
-- --------------------------------------------------------------------
-- APAR IZ35668
DECLARE
  vCount       NUMBER;
BEGIN
  SELECT count(*) INTO vCount FROM ERIC_ENT_DNSSERVER
   WHERE length(IPNODE_ID) > 10;
  IF (vCount = 0) THEN
    run_sql(' ALTER TABLE ERIC_ENT_DNSSERVER MODIFY (IPNODE_ID VARCHAR2(10))');
    run_sql(' ALTER TRIGGER ERIC_ENT_DNSSERVER_biu compile');
  ELSE
    dbms_output.put_line('INFO: Data exists, IPNODE_ID - Column length remains unchanged.');
  END IF;
END;
/
COMMIT;
show errors;
EXIT;
